/*
 * DPRegion.hpp
 *
 */
#ifndef DP_REGION_HPP
#define DP_REGION_HPP

#include "StripRegion.hpp"
class DPRegion : private StripRegion {
  typedef StripRegion Super;
public:
  DPRegion();
  DPRegion(const DPRegion& dpRegion);
  ~DPRegion();
  DPRegion& operator=(const DPRegion& dpRegion);

  using Super::empty;
  using Super::rect0;
  using Super::clear;
  using Super::toString;
  using Super::print;
  using Super::draw;
  using Super::getArea;
  using Super::setFromYRange;
  using Super::getYRange;
  using Super::testConsistency;
  const StripRegion& getStripRegion() const;
};

#endif
